@charset "UTF-8";
/*オール*/
html {
  font-size: 100%;
  font-family:
    "Hiragino Kaku Gothic ProN", "sans-serif";
  font-weight: normal;
}
.site-a {
  background: linear-gradient(
    to bottom,
    #3a1b5a 0%,
    #26123c 35%,
    #12081f 70%,
    #000000 100%
  );
}
a {
  text-decoration: none;
}
img {
  max-width: 100%;
}
.fade-in {
  opacity: 0;
  transform: translateX(70px);
  transition: opacity 5s ease, transform 5s ease;
}
.fade-in.show {
  opacity: 1;
  transform: translateX(0);
}
/*フォント*/
.font-nagare {
  font-family: 'Limelight', sans-serif;
  font-weight: normal;
}
.font-english {
  font-family: 'Asset', sans-serif;
  font-weight: normal;
  font-size: 3rem;
  color: #00FFDB;
  text-shadow:
    0 0 5px #0ff, 0 0 10px #0ff;
}
.font-japanese {
  font-family: 'Noto Serif JP', sans-serif;
  font-weight: normal;
}
.image {
  text-align: center;
}
/****ハンバーガー********************************************************/
.menu-icon {
  font-size: 4rem;
  padding: 1.5rem;
  cursor: pointer;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 2002;
  color: #fff;
  text-align: right;
}
/* メニュー本体 */
nav {
  position: fixed;
  top: 0;
  right: -300px;
  width: 300px;
  height: 100%;
  background-color: rgba(0, 255, 203, 0.8);
  color: white;
  overflow-y: auto;
  transition: right 0.3s ease; /* ←ここでスッと出る動き */
  z-index: 2001;
  padding-top: 60px;
  transform: translateX(100%) skewX(-10deg);
}
nav.open {
  right: 0;
  transform: translateX(0) skewX(-10deg);
}
nav ul {
  list-style: none;
  padding-top: 5rem;
  margin: 0;
}
nav li {
  margin: 20px;
}
nav a {
  color: white;
  text-decoration: none;
  font-size: 2.5rem;
}
nav a:hover {
  text-decoration: underline;
}
#menu .open {
  transform: skewX(10deg);
}
/****hover*****/
.u-underline {
  position: relative;
  display: inline-block; 
  text-decoration: none;
}
.u-underline::after {
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: -2px; 
  height: 2px; 
  background: currentColor;
  transform: scaleX(0); 
  transform-origin: left center; 
  transition: transform .35s ease;
}
.u-underline:hover::after {
  transform: scaleX(1);
}
/**********************/
/*流れ文字*/
/**********************/
.container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  overflow: hidden;
  position: relative;
  width: 100%;
  z-index: 2000;
}
.wrapper {
  display: flex;
  width: max-content;
  animation: loop-text 10s linear infinite;
}
.double-content {
  display: inline-block;
  font-size: 7rem;
  white-space: nowrap;
  color: #fff;
	opacity: 0.8;
  text-shadow:
    0 0 6px #A28BFF, 0 0 12px #A28BFF, 0 0 20px #C9B8FF, 0 0 35px #6BE3FF;
}
@keyframes loop-text {
  0% {
    transform: translateX(0%);
  }
  100% {
    transform: translateX(-50%);
  }
}
/**********************/
/*ヘッダー*/
/**********************/
.top-photo {
  width: auto;
  height: 400px;
  margin: 30px auto;
  transition: transform 0.4s ease;
}
.top-photo:hover {
  transform: scale(1.6);
}
/**********************/
/*バナー*/
/**********************/
.banner {
  width: 500px;
  margin: auto;
  margin-bottom: 3.5rem;
  margin-top: 3rem;
  box-shadow: 0 10px 25px 0 rgba(175, 148, 192, 0.5);
  transition: transform 0.4s ease;
}
.banner:hover {
  transform: scale(1.2);
}
/**********************/
/*NEWS*/
/**********************/
.newsbody {
  text-align: center;
}
.news {
  text-align: center;
  transition: transform 0.4s ease;
  padding: 2rem;
}
.news:hover {
  transform: scale(1.1);
}
.graph {
  width: auto;
  margin: auto;
  line-height: 3;
  border-collapse: separate;
  border-spacing: 0 2rem;
}
.graph th {
  font-size: 1rem;
  color: #fff;
}
.graph td {
  font-size: 1.5rem;
  color: #ffffff;
}
.graph th, .graph td {
  border-bottom: 1px solid #7F71D4;
  padding: 1rem 2rem 0;
  padding-left: 2rem;
}
.graph tr:hover{
	transition: transform 1s ease;
}
.graph tr:hover{
	transform: scale(1.2);
}
.graph td a:link {
  color: #ffffff;
  text-decoration: none;
}
.graph td a:visited {
  color: #fff;
}
.newsbody p a:link {
  color: #fff;
}
.newsbody p a:visited {
  color: #fff;
}
/**********************/
/*MUSIC VIDEO*/
/**********************/
.mvbody {
  padding: 10rem 0;
  text-align: center;
}
.mv-container {
  display: flex;
  justify-content: center;
  gap: 3rem;
  text-align: center;
}
.musicvideo {
  transition: transform 0.4s ease;
	margin-bottom: 1rem;
}
.musicvideo:hover {
  transform: scale(1.1);
}
.mvphoto {
  width: 550px;
  height: auto;
  margin: 3rem 0 1rem;
	transition: transform 0.4s ease;
}
.mvphoto:hover{
	 filter: brightness(110%);
  transform: scale(1.1);
}
.mtitle h2 {
  font-size: 3.5rem;
  color: #7F71D4;
	margin-bottom: 1rem;
}
.mtitle li {
  font-size: 1.5rem;
  color: #ffffff;
  list-style: none;
	margin: .5rem 0;
}
.mtitle ul {
  border: .5px solid #fff;
  width: 500px;
  margin: auto;
}
/**********************/
/*Profile*/
/**********************/
.profbody {
  margin-top: 1rem;
  text-align: center;
}
.profname h2, .profname h3 {
  display: inline-block;
  margin: 0 0.5rem;
}
.profile {
  text-align: center;
  transition: transform 0.4s ease;
  margin-bottom: 3rem;
}
.profile:hover {
  transform: scale(1.1);
}
.profphoto {
  width: 80%;
  height: auto;
  margin: auto;
}
.profname h2 {
  font-size: 3rem;
  color: #ffffff;
  margin-bottom: 2rem;
}
.profname h3 {
  font-size: 1.5rem;
  color: #ffffff;
  margin-bottom: 2rem;
}
.birth li {
  list-style: none;
  font-size: 1rem;
  color: #ffffff;
  margin-bottom: 1rem;
}
.honbun li {
  list-style: none;
  font-size: 1.5rem;
  color: #ffffff;
  padding: 1rem 0;
}

.profname p {
  text-shadow:
    0 0 6px #A28BFF, 0 0 12px #A28BFF, 0 0 20px #C9B8FF, 0 0 20px #6BE3FF;
  font-size: 3rem;
  padding: 1rem 0;
	transition: transform 1s ease;
}
.profname p:hover{
transform: scale(1.2);	
}
.profname p a:link {
  color: #fff;
}
.profname p a:visited {
  color: #fff;
}
/**********************/
/*slide show*/
/**********************/
.wrap {
  margin: 15rem 0;
  display: flex;
  align-items: center;
  height: 500px;
  overflow: hidden;
}
.slideshow {
  display: flex;
  list-style: none;
}
.content {
  width: 500px;
  height: 400px;
  margin: 0 3rem;
}
.content:nth-child(1) {
  background-image: url("../image/kannagi2.webp");
  background-repeat: no-repeat;
  height: 400px;
  background-size: cover;
  background-position: center;
}
.content:nth-child(2) {
  background-image: url("../image/kannnagi3.webp");
  background-repeat: no-repeat;
  height: 400px;
  background-size: cover;
  background-position: center;
}
.content:nth-child(3) {
  background-image: url("../image/kannnagi5.webp");
  background-repeat: no-repeat;
  height: 400px;
  background-size: cover;
  background-position: center;
}
.content:nth-child(4) {
  background-image: url("../image/kannnagipro.webp");
  background-repeat: no-repeat;
  height: 400px;
  background-size: cover;
  background-position: center;
}
.slideshow {
  display: flex;
  animation: loop-slide 20s infinite linear 1s both;
}
@keyframes loop-slide {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-100%);
  }
}
/**********************/
/*footer*/
/**********************/
.syamei {
  text-align: center;
  width: 600px;
  height: auto;
  margin: auto;
}
footer {
  width: 100%;
}
.copyright-a {
  text-align: center;
  padding: 2rem 0;
  margin-top: 6rem;
  color: #fff;
}
.fottericon{
	display: flex;
	justify-content: center; 
  align-items: center;
	 transition: transform 1s ease;

}
.fottericon img{
  width: 100px;
  height: 100px;
  object-fit: contain;
	margin: 3rem 0;
	padding: 0 1rem;
}
.fottericon:hover{
	transform:  scale(1.3);
}
/**********************/
/*raibuhtml*/
/*********************************************************************************/
.site-b {
  background-image: url("../image/raibubody.webp") !important;
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-position: center;
}
.menu-iconlive {
  font-size: 4rem;
  padding: 1.5rem;
  cursor: pointer;
  position: fixed;
  top: 0;
  right: 0;
  z-index: 2002;
  color: 000;
  text-align: right;
}
/**********************/
section {
  margin: 0 5rem 0 auto;
  max-width: 600px;
}
/*top*/
/**********************/
.live h1 {
  font-size: 5rem;
  position: fixed;
  margin: 1rem 0 0 2rem;
	color: #fff;
}
.clicklive {
  font-size: 3rem;
  text-align: center;
  margin: 0 2.2rem 0;
}
.clicklive li {
  list-style: none;
  margin: 1rem auto;
}
.clicklive a:link {
  color: #000;
}
.clicklive a:visited {
  color: #000;
}
/*banner*/
.karibana img {
  width: 250px;
  margin: auto;
}
.livetitle {
  margin: 1rem auto;
  font-size: 2.5rem;
}
/*city*/
.lgaiyou h1 {
  padding-top: 2rem;
  font-size: 3rem;
  margin-top: 0;
  margin-bottom: 1rem;
}
.lgaiyou {
  background-color: #B6A6CC;
  width: 600px;
  text-align: center;
  padding-bottom: 2rem;
  margin-bottom: 4rem;
}
.lgaiyou p {
  font-size: 1.5rem;
}
.lgaiyou h3 {
  font-size: 1rem;
  margin-bottom: 2rem;
}
.nittei {
  width: 400px;
  height: auto;
  margin: auto;
  padding-bottom: 3rem;
}
/*chiket*/
#chiket {
  padding-top: 2rem;
  text-align: center;
  font-size: 3rem;
}
.lchiket {
  background-color: #B6A6CC;
  width: 600px;
  padding-bottom: 2rem;
}
.lchiket li {
  list-style: none;
  font-size: 1.5rem;
  margin-left: 2rem;
}
.chiketmargin {
  margin-bottom: 1rem;
}
.syotyui li{
	font-size: 1rem;
	list-style: none;
}
/**********************/
/*footer*/
/**********************/
.copyright-b {
  text-align: center;
  padding: 2rem 0;
  margin-top: 6rem;
  color: #000;
}
/**********************/
/*newshtml*/
/**********************************************************************************/
.newsh {
  text-align: center;
  font-size: 6rem;
  margin-top: 2rem;
}
.newshtb {
  height: auto;
  margin: 3rem;
}
.newshtb h2 {
  font-size: 2rem;
  color: #fff;
  margin-bottom:.5rem;
}
.newshtb li {
  font-size: 1rem;
  list-style: none;
  color: #fff;
}
.sp {
  display: none;
}
.newshtb a:link {
  font-size: 1.5rem;
  color: #fff;
	transition: 1s ;
}
.newshtb a:visited {
  font-size: 1.5rem;
  color: #fff;
}
.newshtb a:hover {
  font-size: 1.5rem;
  color: #00FFDB;
}
.newswrapper{
	margin: 5rem 0;
padding-bottom: 2rem;
	border-bottom: 1px solid #fff;
}
#news1{
	font-size: 1rem;
}
#news2{
	font-size: 1rem;
}
#news3{
	font-size: 1rem;
}
/*intervew.html**********************************************************************************************************************/
.interview p {
  color: #C8C5C5;
  margin: 3rem 0 1rem 10rem;
  font-size: 1.5rem;
}
.intitle {
  color: #fff;
  font-size: 2.5rem;
  text-align: center;
  margin-bottom: 2rem;
}
.inphoto {
  width: auto;
  height: 400px;
  margin: auto;
}
.setumon {
  margin: auto;
  margin: 3rem 10rem;
  ;
}
.people {
  color: #fff;
  list-style: none;
  font-size: 1rem;
	margin-bottom: .5rem;
}
.idol {
  color: #fff;
  list-style: none;
  font-size: 1.25rem;
}
/*fanclub.html**************************************************************************************************************/
.fanclub {
  text-align: center;
  color: #fff;
}
.fanclub h1 {
  margin: 3rem;
  font-size: 5rem;
}
.fanclub li {
  font-size: 1rem;
  list-style: none;
}
.fanclub ul {
  margin-bottom: 5rem;
}
.fanclub img {
  width: 60%;
  height: auto;
  margin: 2rem 0;
}
.btn {
  text-align: center;
  width: 200px;
  height: 20px;
  margin: auto;
  padding-top: 4rem;
}
.btn p {
 
  font-size: 1.5rem;
 background-image: url("../image/button.png");
	background-position: center;
	background-size: cover;
  padding: .5rem;
}
.btn p a:link {
  color: #000;
}
.btn p a:visited {
  color: #000;
}
/*form.html*******************************************************************/
.register {
  max-width: 480px;
  margin: 80px auto;
  padding: 2rem 3rem 2rem 2rem;
  border-radius: 1rem;
  background-color: #FFFFFF;
  text-align: center;
}
.form label {
  display: block;
  margin: 1.2rem 0 0.3rem;
  font-weight: 600;
}
input[type="text"], input[type="email"], input[type="password"] {
  width: 100%;
  padding: .8rem;
  border-radius: .5rem;
  border: 1px solid #ccc;
}
.btnform {
  width: 100%;
  padding: 1rem;
  margin-top: 2rem;
  background: #111;
  color: #fff;
  border-radius: .5rem;
  cursor: pointer;
}
/*thanks.html****************************************************************/
.kansha {
  text-align: center;
}
.kansha li {
  list-style: none;
  color: #fff;
  font-size: 1rem;
  width: 50%;
  text-align: center;
  margin: auto;
}
.kansha p {
  color: #fff;
  font-size: 1rem;
  width: 50%;
  text-align: center;
  margin: auto;
}
.kansha img {
  margin-top: 3rem;
  width: 500px;
  height: auto;
}
/*スマホ対応************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************************/
@media (max-width: 600px) {
  /* 共通 */
  html {
    font-size: 80%;
  }
  .site-a {
    background-color: #000;
  }
  .banner, .top-photo, .mvphoto, .profphoto {
    width: 90%;
    height: auto;
    margin: 1rem auto;
  }
  .font-english {
    font-family: 'Asset', sans-serif;
    font-weight: normal;
    font-size: 2.5rem;
    color: #00FFDB;
    text-shadow:
      0 0 10px #0ff, 0 0 20px #0ff;
  }
  /* ハンバーガーメニュー調整 */
  .menu-icon {
    font-size: 4rem;
    padding: 1.5rem;
    margin-right: 1rem;
    cursor: pointer;
    position: fixed;
    top: 0;
    right: 0;
    z-index: 2002;
    color: #fff;
    text-align: right;
  }
  nav a {
    color: white;
    text-decoration: none;
    font-size: 1.5rem;
  }
  nav {
    width: 40%;
    right: -40%;
  }
  nav.open {
    right: 0;
  }
  .double-content {
    display: inline-block;
    font-size: 4rem;
    white-space: nowrap;
    color: #CCB0FF;
    text-shadow:
      0 0 6px #A28BFF, 0 0 12px #A28BFF, 0 0 20px #C9B8FF, 0 0 35px #6BE3FF;
  }
  /* NEWS表の調整 */
  .graph {
    padding-left: 0;
    margin: auto;
  }
  .newsbody p {
    padding-right: 0;
    font-size: 1.8rem;
    text-align: center;
  }
  .graph th {
    font-size: 1rem;
    color: #fff;
  }
  .graph td {
    font-size: 1rem;
    color: #ffffff;
  }
  /* MV */
  .mv-container {
    flex-direction: column;
    gap: 3rem;
  }
  .musicvideo {
    width: 90%;
    margin: auto;
  }
  .mtitle h2 {
    font-size: 3rem;
  }
  .mtitle ul li {
    margin-top: 1rem;
    font-size: 1rem;
    color: #ffffff;
    list-style: none;
  }
  .mtitle ul {
  border: none;
  background-color: #121212;
  width: 300px;
  margin: auto;
}
  /* Profile */
  .profile {
    margin-bottom: .5rem;
  }
  .profbody {
    padding: 0 1rem;
  }
  .profname h2 {
    font-size: 3rem;
  }
  .profname h3, .profname li {
    font-size: 1rem;
  }
  .profname p a:link {
    color: #fff;
    text-shadow:
      0 0 6px #A28BFF, 0 0 12px #A28BFF, 0 0 20px #C9B8FF, 0 0 20px #6BE3FF;
    font-size: 1.5rem;
  }
  .profname p a:visited {
    color: #fff;
    font-size: 1.5rem;
    text-shadow:
      0 0 6px #A28BFF, 0 0 12px #A28BFF, 0 0 20px #C9B8FF, 0 0 20px #6BE3FF;
  }
  /* スライドショー */
  .wrap {
    margin: 5rem 0;
    height: auto;
    overflow: hidden;
  }
  .slideshow {
    display: flex;
    animation: loop-slide 20s infinite linear;
  }
  .content:nth-child(1) {
    background-image: url("../image/カンナギ２.webp");
    background-repeat: no-repeat;
    height: 200px;
    background-size: cover;
    background-position: center;
  }
  .content:nth-child(2) {
    background-image: url("../image/カンナギ３.webp");
    background-repeat: no-repeat;
    height: 200px;
    background-size: cover;
    background-position: center;
  }
  .content:nth-child(3) {
    background-image: url("../image/カンナギ５.webp");
    background-repeat: no-repeat;
    height: 200px;
    background-size: cover;
    background-position: center;
  }
  .content:nth-child(4) {
    background-image: url("../image/カンナギプロ.webp");
    background-repeat: no-repeat;
    height: 200px;
    background-size: cover;
    background-position: center;
  }
  .content {
    width: 50vw;
    aspect-ratio: 1 / 1;
    background-size: cover;
    background-position: center;
    margin: 0 1rem;
  }
  .syamei {
    text-align: center;
    width: 300px;
    height: auto;
    margin: auto;
  }
  /*news.html*/
  .newsh {
    font-size: 3rem;
    margin: 2rem 0;
  }
  .newshtb {
    height: auto;
    margin:2rem;
    padding: 1.5rem 0;
  }
  .newshtb h2 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
  
  }
  .newshtb li {
    font-size: 1rem;
  }
  .newshtb a {
    font-size: 1.2rem;
  }
  .newshtb h3 {
    font-size: 1rem;
  }
	.newswrapper{
			margin: 2.5rem 0;
padding-bottom: 1rem;
	border-bottom: 1px solid #fff;
	}
 .sp {
    display: inline;
	}
	
  /* live.html */
  .site-b {
    background-position: right;
  }
  section {
    padding: 0;
    margin: 0;
  }
  .aside {
    text-align: center;
  }
  .livetitle {
    font-size: 1rem;
    margin: 2rem auto;
  }
  .karibana {
    width: 200px;
    margin: auto;
  }
  .lgaiyou, .lchiket {
    width: 90%;
    margin: auto;
  }
  .live h1 {
    font-size: 2rem;
    margin: 1rem 0 0 2rem;
  }
  .nittei {
    width: 90%;
  }
  .nittei img {
    width: 70%;
    margin: auto;
  }
  /* news.html */
  .newshtb li {
    margin: 1rem;
  }
  #news2 {
    padding: 0 1.5rem;
  }
  /*interview.html*/
  .intitle {
    color: #fff;
    font-size: 1.5rem;
    text-align: center;
	  margin-top: 1rem;
  }
  .inphoto {
    width: auto;
    height: 200px;
    margin: auto;
  }
  .setumon {
    margin: auto;
    margin: 3.5rem 5rem;
  }
  .people {
    color: #fff;
    list-style: none;
    font-size: 1rem;
	  margin-bottom: .25rem;
  }
  .idol {
    color: #fff;
    list-style: none;
    font-size: 1.25rem;
  }
  /* interview.html ----------------------------------- */
  .interview p {
    margin: 1rem 0;
    font-size: 1rem;
  }
  .intitle {
    font-size: 1.8rem;
    margin: 1.5rem 0;
  }
  .inphoto {
    width: 100%;
    height: auto;
    margin: 1.5rem 0;
  }
  .setumon {
    margin: 2rem 1rem;
  }
  .people {
    font-size: 0.9rem;
  }
  .idol {
    font-size: 1.1rem;
  }
  /* fanclub.html -------------------------------------- */
  .fanclub h1 {
    margin: 2rem 0;
    font-size: 3rem;
  }
  .fanclub li {
    font-size: 0.9rem;
  }
  .fanclub img {
    width: 90%;
    margin: 1.5rem auto;
  }
  .btn {
    width: 60%;
    padding-top: 2rem;
  }
  .btn p {
    font-size: 0.9rem;
    padding: .7rem;
  }
  /* form.html ------------------------------------------ */
  .register {
    max-width: 95%;
    margin: 40px auto;
    padding: 1.5rem 3rem 1.5rem 1.5rem;
    ;
  }
  .form label {
    margin: 1rem 0 .2rem;
  }
  input[type="text"], input[type="email"], input[type="password"] {
    padding: .7rem;
  }
  .btnform {
    padding: 0.9rem;
    margin-top: 1.5rem;
  }
  /* thanks.html ---------------------------------------- */
  .kansha li {
    font-size: 0.9rem;
    margin-bottom: .5rem;
  }
  .kansha p {
    font-size: 0.9rem;
  }
  .kansha img {
    width: 50%;
    margin-top: 2rem;
  }
}